%define upstream_name    Data-DPath
%define upstream_version 0.60

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Magic functions available inside filter conditions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Class::XSAccessor::Array)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Iterator::Util)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Safe) >= 2.300.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Balanced) >= 2.20.0
BuildRequires: perl(aliased) >= 0.330.0
BuildRequires: perl(constant)
BuildRequires: perl(if)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.600.0-2.mga10
+ Revision: 2228645
- Mageia 10 Mass Rebuild

* Sat Oct 05 2024 tv <tv> 0.600.0-1.mga10
+ Revision: 2103429
- update to 0.60

* Tue Aug 29 2023 tv <tv> 0.590.0-1.mga10
+ Revision: 1980945
- update to 0.59

* Tue Mar 22 2022 umeabot <umeabot> 0.580.0-3.mga9
+ Revision: 1819561
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.580.0-2.mga8
+ Revision: 1530508
- Mageia 8 Mass Rebuild

* Fri Aug 30 2019 tv <tv> 0.580.0-1.mga8
+ Revision: 1435422
- update to 0.58

* Thu Sep 20 2018 umeabot <umeabot> 0.570.0-3.mga7
+ Revision: 1282622
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.570.0-2.mga7
+ Revision: 1163745
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.570.0-1.mga7
+ Revision: 1159621
- update to 0.57

* Wed Aug 02 2017 sander85 <sander85> 0.560.0-1.mga7
+ Revision: 1134030
- update to 0.56

* Sat Jun 18 2016 pterjan <pterjan> 0.550.0-3.mga6
+ Revision: 1024795
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.550.0-2.mga6
+ Revision: 969990
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.550.0-1.mga6
+ Revision: 884496
- update to 0.55

* Wed Sep 02 2015 shlomif <shlomif> 0.540.0-1.mga6
+ Revision: 872239
- New version 0.54

* Thu Jun 25 2015 shlomif <shlomif> 0.530.0-1.mga6
+ Revision: 843061
- update to 0.53

* Wed Oct 15 2014 umeabot <umeabot> 0.500.0-3.mga5
+ Revision: 751050
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 jquelin <jquelin> 0.500.0-1.mga5
+ Revision: 603713
- update to 0.50

* Fri Oct 18 2013 umeabot <umeabot> 0.490.0-3.mga4
+ Revision: 510612
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.490.0-2.mga3
+ Revision: 365263
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 0.490.0-1.mga3
+ Revision: 330196
- update to 0.49

* Mon Jun 04 2012 kharec <kharec> 0.470.0-1.mga3
+ Revision: 254001
- update to 0.47

* Thu Nov 24 2011 kharec <kharec> 0.440.0-1.mga2
+ Revision: 171590
- imported package perl-Data-DPath


* Thu Nov 24 2011 cpan2dist 0.44-1mga
- initial mageia release, generated with cpan2dist
